### Function

# EDataServer categories_dup_list

since: 3.16

#### Declaration [src]

    GList*
    e_categories_dup_list (
      void
    )

#### Description [src]

Returns a sorted list of all the category names currently configured.

This function is thread safe.

Available since: 3.16

#### Return value

Type: A list of `utf8`

A sorted `GList` containing the names of the categories. The list should be freed using g_list_free(), and the names of the categories should be freed using g_free(). Everything can be freed simultaneously using g_list_free_full().

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.